Package com.independentsoft.office.odf.styles

# Class MasterPage

java.lang.Object
com.independentsoft.office.odf.styles.MasterPage

public class MasterPage extends Object
Represents the content of headers and footers.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MasterPage()`
  Initializes a new instance of the MasterPage class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MasterPage`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `List<BaseStyle>`
  `getBaseStyles()`
  Contains a collection of BaseStyle objects.
  `String`
  `getDisplayName()`
  Gets the name that defines a style.
  `Footer`
  `getFirstPageFooter()`
  Gets the content for the footer for the first page.
  `Header`
  `getFirstPageHeader()`
  Gets the content for the header for the first page.
  `Footer`
  `getFooter()`
  Gets the content of the footer.
  `Header`
  `getHeader()`
  Gets the content of the header.
  `Footer`
  `getLeftPageFooter()`
  Gets the content for the footer for the left page, if different from the right page.
  `Header`
  `getLeftPageHeader()`
  Gets the content for the header for the left page, if different from the right page.
  `String`
  `getName()`
  Gets the name.
  `String`
  `getNextStyle()`
  Gets the name of the master page that is used for the next page if the current page is entirely filled.
  `String`
  `getPageLayout()`
  Gets the page layout style that contains sizes, border and orientation attributes.
  `String`
  `getPageStyle()`
  Gets the page style.
  `List<Shape>`
  `getShapes()`
  Contains a collection of Shape objects.
  `void`
  `renameStyle​(Style style, String newName)`
  Rename style.
  `void`
  `setDisplayName​(String displayName)`
  Sets the name that defines a style.
  `void`
  `setFirstPageFooter​(Footer firstPageFooter)`
  Sets the content for the footer for the first page.
  `void`
  `setFirstPageHeader​(Header firstPageHeader)`
  Sets the content for the header for the first page.
  `void`
  `setFooter​(Footer footer)`
  Sets the content of the footer.
  `void`
  `setHeader​(Header header)`
  Sets the content of the header.
  `void`
  `setLeftPageFooter​(Footer leftPageFooter)`
  Sets the content for the footer for the left page, if different from the right page.
  `void`
  `setLeftPageHeader​(Header leftPageHeader)`
  Sets the content for the header for the left page, if different from the right page.
  `void`
  `setName​(String name)`
  Sets the name.
  `void`
  `setNextStyle​(String nextStyle)`
  Sets the name of the master page that is used for the next page if the current page is entirely filled.
  `void`
  `setPageLayout​(String pageLayout)`
  Sets the page layout style that contains sizes, border and orientation attributes.
  `void`
  `setPageStyle​(String pageStyle)`
  Sets the page style.
  `String`
  `toString()`
  Converts the value of the current MasterPage object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MasterPage

    public MasterPage()
    Initializes a new instance of the MasterPage class.

- ## Method Details

  - ### renameStyle

    public void renameStyle​(Style style, String newName)
    Rename style.
    Parameters:
      `style` - the style
      `newName` - the new name

  - ### clone

    public MasterPage clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current MasterPage object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - the new name

  - ### getDisplayName

    public String getDisplayName()
    Gets the name that defines a style.
    Returns:
      the display name

  - ### setDisplayName

    public void setDisplayName​(String displayName)
    Sets the name that defines a style.
    Parameters:
      `displayName` - the new display name

  - ### getPageLayout

    public String getPageLayout()
    Gets the page layout style that contains sizes, border and orientation attributes.
    Returns:
      the page layout

  - ### setPageLayout

    public void setPageLayout​(String pageLayout)
    Sets the page layout style that contains sizes, border and orientation attributes.
    Parameters:
      `pageLayout` - the new page layout

  - ### getPageStyle

    public String getPageStyle()
    Gets the page style.
    Returns:
      the page style

  - ### setPageStyle

    public void setPageStyle​(String pageStyle)
    Sets the page style.
    Parameters:
      `pageStyle` - the new page style

  - ### getNextStyle

    public String getNextStyle()
    Gets the name of the master page that is used for the next page if the current page is entirely filled.
    Returns:
      the next style

  - ### setNextStyle

    public void setNextStyle​(String nextStyle)
    Sets the name of the master page that is used for the next page if the current page is entirely filled.
    Parameters:
      `nextStyle` - the new next style

  - ### getHeader

    public Header getHeader()
    Gets the content of the header.
    Returns:
      the header

  - ### setHeader

    public void setHeader​(Header header)
    Sets the content of the header.
    Parameters:
      `header` - the new header

  - ### getLeftPageHeader

    public Header getLeftPageHeader()
    Gets the content for the header for the left page, if different from the right page.
    Returns:
      the left page header

  - ### setLeftPageHeader

    public void setLeftPageHeader​(Header leftPageHeader)
    Sets the content for the header for the left page, if different from the right page.
    Parameters:
      `leftPageHeader` - the new left page header

  - ### getFirstPageHeader

    public Header getFirstPageHeader()
    Gets the content for the header for the first page.
    Returns:
      the first page header

  - ### setFirstPageHeader

    public void setFirstPageHeader​(Header firstPageHeader)
    Sets the content for the header for the first page.
    Parameters:
      `firstPageHeader` - the new left page header

  - ### getFooter

    public Footer getFooter()
    Gets the content of the footer.
    Returns:
      the footer

  - ### setFooter

    public void setFooter​(Footer footer)
    Sets the content of the footer.
    Parameters:
      `footer` - the new footer

  - ### getLeftPageFooter

    public Footer getLeftPageFooter()
    Gets the content for the footer for the left page, if different from the right page.
    Returns:
      the left page footer

  - ### setLeftPageFooter

    public void setLeftPageFooter​(Footer leftPageFooter)
    Sets the content for the footer for the left page, if different from the right page.
    Parameters:
      `leftPageFooter` - the new left page footer

  - ### getFirstPageFooter

    public Footer getFirstPageFooter()
    Gets the content for the footer for the first page.
    Returns:
      the first page footer

  - ### setFirstPageFooter

    public void setFirstPageFooter​(Footer firstPageFooter)
    Sets the content for the footer for the first page.
    Parameters:
      `firstPageFooter` - the new left page footer

  - ### getBaseStyles

    public List<BaseStyle> getBaseStyles()
    Contains a collection of BaseStyle objects.
    Returns:
      the base styles

  - ### getShapes

    public List<Shape> getShapes()
    Contains a collection of Shape objects.
    Returns:
      the shapes